## mx4j.tools.remote.caucho
Class CauchoClientInvoker

    java.lang.Object
      mx4j.tools.remote.http.HTTPClientInvoker
          mx4j.tools.remote.caucho.CauchoClientInvoker

All Implemented Interfaces:
  HTTPConnection, JMXConnection

Direct Known Subclasses:
  BurlapClientInvoker, HessianClientInvoker

public abstract class CauchoClientInvoker
extends HTTPClientInvoker

Version:
  $Revision: 1.4 $

Constructor Summary
`CauchoClientInvoker(java.lang.String endpoint)`

Method Summary
`protected abstract CauchoInput` `createCauchoInput(java.io.InputStream stream)`
`protected abstract CauchoOutput` `createCauchoOutput(java.io.OutputStream stream)`
`protected HTTPConnection` `getService()`

Methods inherited from class mx4j.tools.remote.http.HTTPClientInvoker

`addNotificationListener, addNotificationListener, close, connect, createMBean, createMBean, fetchNotifications, getAttribute, getAttributes, getConnectionId, getDefaultDomain, getDomains, getMBeanCount, getMBeanInfo, getObjectInstance, invoke, isInstanceOf, isRegistered, queryMBeans, queryNames, removeNotificationListener, removeNotificationListener, removeNotificationListeners, setAttribute, setAttributes, unregisterMBean`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CauchoClientInvoker

    public CauchoClientInvoker(java.lang.String endpoint)

Method Detail

### getService

    protected HTTPConnection getService()

  Specified by:
    `getService` in class `HTTPClientInvoker`

### createCauchoInput

    protected abstract CauchoInput createCauchoInput(java.io.InputStream stream)

### createCauchoOutput

    protected abstract CauchoOutput createCauchoOutput(java.io.OutputStream stream)

Copyright © 2001-2005 The MX4J Contributors. All Rights Reserved.